#include "led.h"
#include <ioml67q5003.h>

// Init leds
void InitLED(void) {

  GPCTL_bit.GPCTL7 = 0;  //first function of port.

  // header led
  GPPMC_bit.GPPMC7 = 1;  //Header led as output
  GPPOC_bit.GPPOC7 = 1;  //Set Led pin to high

  // board led
  GPPMD_bit.GPPMD0 = 1;  //Header led as output
  GPPOD_bit.GPPOD0 = 1;  //Set Led pin to high

}

//turn off header led
void LedHOff(void) {
  // header led
  GPPOC_bit.GPPOC7 = 1;  //Set Led pin to high
}

//turn on header led
void LedHOn(void) {
  // header led
  GPPOC_bit.GPPOC7 = 0;  //Set Led pin to low
}

//turn off board led
void LedBOff(void) {
  // board led
  GPPOD_bit.GPPOD0 = 1;  //Set Led pin to high
}

//turn on board led
void LedBOn(void) {
  // board led
  GPPOD_bit.GPPOD0 = 0;  //Set Led pin to high
}
